Bug 881735 - when I trigger dep issue, yum prints warning as python object and not plain text: "(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])"
when I trigger dep issue, yum prints warning as python object and not plain t...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
: 893681 (view as bug list)
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2012-11-29 08:35 EST by Jan Hutař
Modified: 2014-02-04 10:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 15:46:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2012-11-29 08:35:05 EST
Description of problem:
When I trigger dependency issue, yum prints warning as python object and not plain as a text: "(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])"


Version-Release number of selected component (if applicable):
yum-3.2.22-39.el5


How reproducible:
always


Steps to Reproduce:
1. I had old package installed with other packages depending on it (on exact
   its exact version) and had an update for the package
2. When I run `yum upgrade`, yum fails (which is expected and not
   a reason for this bug)


Actual results:
[...]
cobbler is needed by (installed) satellite-branding-5.5.0.4-1.el5sat.noarch
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

(note that on the last row yum outputs some list, but it should be plain string)


Expected results:
[...]
cobbler is needed by (installed) satellite-branding-5.5.0.4-1.el5sat.noarch
Complete!
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'
Comment 1 Zdeněk Pavlas 2013-03-18 11:04:06 EDT
A 5-line patch..

--- yum-3.2.22/yummain.py.old	2013-03-18 16:00:41.494490480 +0100
+++ yum-3.2.22/yummain.py	2013-03-18 16:02:14.063221512 +0100
@@ -268,7 +268,13 @@ def main(args):
     except IOError, e:
         return exIOError(e)
 
-    verbose_logger.log(logginglevels.INFO_2, _('Complete!'))
+    if type(return_code) is tuple:
+        return_code, msgs = return_code
+        for msg in msgs:
+            logger.critical("%s", msg)
+    else:
+        verbose_logger.log(logginglevels.INFO_2, _('Complete!'))
+
     if unlock(): return 200
     return return_code
Comment 2 Jan Zeleny 2013-03-20 12:38:11 EDT
*** Bug 893681 has been marked as a duplicate of this bug. ***
Comment 3 RHEL Product and Program Management 2013-05-01 03:18:46 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 James Antill 2013-12-10 15:46:31 EST
 Given that this is a minor cosmetic issue I'm going to close this now, as we are very late in RHEL-5. At least the early versions of RHEL-6 yum could be rebuilt on RHEL-5, so if any customer really needs this then that is a viable path.

Note You need to log in before you can comment on or make changes to this bug.